Linux Kernelの脆弱性(Moderate: CVE-2021-29657)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

07/23/2021にLinux Kernelの脆弱性(Moderate: CVE-2021-29657)が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2021-29657 Linux Kernel < 5.11.12

KVM nested_svm_vmrun Double Fetch

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-29657
    • DoS又は権限昇格の可能性
    • 5.11.12より前のLinux Kernelでは、arch/x86/kvm/svm/nested.c中にuse-after-freeの問題があり、ゲストVMがネストされているときにAMD KVMのゲストがホストOSのMSRに関するアクセス制御を迂回する事ができる可能性があります。これはnested_svm_vmrun中でのVMCB12のダブルフェッチによるTOCTOUの競合状態から来ています。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内

CM

こちらで小学生の勉強支援サイトをオープンしました。算数のプリント(都度、自動生成)が無料でダウンロードできます。コンテンツは未だ少ないですが、徐々に増やしていきます。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jul 2021)

次へ

Linux Kernelの脆弱性(Moderate: CVE-2021-37159)